<mat-card class="list">
  <mat-card-title>
    <div class="head">
      <h2>{{list.name}}</h2>
      <button mat-icon-button (click)="removeSelf()" color="warn"><mat-icon>delete</mat-icon></button>
    </div>
  </mat-card-title>
  <mat-card-content *ngIf="showValues">
    <mat-list role="list">
      <mat-list-item [class.active]="value === rvalue" role="listitem" *ngFor="let value of list.arr">{{value}} <button mat-button
          (click)="removeFromList(value)" color="warn">Remove</button></mat-list-item>
    </mat-list>
  </mat-card-content>
  <mat-card-actions>
  </mat-card-actions>
  <mat-card-footer>
    <div class="list-insert">
      <mat-form-field appearance="fill">
        <mat-label>Add to {{list.name}}</mat-label>
        <input matInput name="value" (keydown.enter)="addToList(value)" [(ngModel)]="value" maxlength=30>
      </mat-form-field>
      <div>
        <button mat-flat-button color="primary" (click)="addToList(value)"
          [disabled]="!value || isDisabled(value)">Add</button>
      </div>
    </div>
  </mat-card-footer>
</mat-card>
